# Extract data from FCC TVStudy cel file and place in Numpy matrix
# Version 0.10 - save coordinates, signal strength and service
# Write data to file
# USe cell indices only for this study

cell_count=0
cell_output = open( "cellidx_data.txt", "w")
with open( "tvstudy.cel", "r") as data:
    for d in data:
        fields = d.strip()
        if (fields.find('[grid]') != -1):
            grid_extents = data.readline()
            cell_south = grid_extents.split(',')[0]
            cell_east = grid_extents.split(',')[1]
            cell_north = grid_extents.split(',')[2]
            cell_west = grid_extents.split(',')[3]
            cell_output.write(' '.join([cell_south,"\n"]))
            cell_output.write(' '.join([cell_east,"\n"]))
            cell_output.write(' '.join([cell_north,"\n"]))
            cell_output.write(' '.join([cell_west,"\n"]))
        if (fields.find('[cell]') != -1):
            cell_index = data.readline()
            cell_count=cell_count+1
            Lat_index = (int(cell_index.split(',')[0])-int(cell_south))
            Long_index = (int(cell_index.split(',')[1])-int(cell_east))
#            print (cell_count)
#            print (cell_index)
#        if (fields.find('P,') == 0):
#            Lat_index = int(round(900 * float(fields.split(',')[2])))
#            Long_index = int(round(900* float(fields.split(',')[3])))
        if (fields.find('D,') == 0):
            Field_strength = fields.split(',')[2]
            if ((fields.split(',')[5]) == "1"):
                Service = 1
            else:
                Service = 0
            cell_output.write(' '.join([str(Lat_index),str(Long_index),str(Field_strength),str(Service),"\n"]))
# cell_output.write(' '.join([str(cell_count),"\n"]))
cell_output.close            
    
print (grid_extents)
print (cell_count)
            





        
